/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.artifactdatabase.objects;

import java.io.Serializable;

/**
 * <code>InputParameter</code> objects are used to store multiple values for a
 * single key.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public interface InputParameter extends Serializable {

    /**
     * Returns the name of the input parameter.
     *
     * @return the name.
     */
    public String getName();

    /**
     * Returns the values of this input parameter as array.
     *
     * @return the values as array.
     */
    public String[] getValues();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
